Update heartbeat
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://forge.laravel.com/api/orgs/{organization}/servers/{server}/sites/{site}/heartbeats/{heartbeat}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'My Heartbeat',
'grace_period' => 2,
'frequency' => 1,
'custom_frequency' => '* * * * *'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}curl --request PUT \
--url https://forge.laravel.com/api/orgs/{organization}/servers/{server}/sites/{site}/heartbeats/{heartbeat} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "My Heartbeat",
"grace_period": 2,
"frequency": 1,
"custom_frequency": "* * * * *"
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'My Heartbeat',
grace_period: 2,
frequency: 1,
custom_frequency: '* * * * *'
})
};
fetch('https://forge.laravel.com/api/orgs/{organization}/servers/{server}/sites/{site}/heartbeats/{heartbeat}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://forge.laravel.com/api/orgs/{organization}/servers/{server}/sites/{site}/heartbeats/{heartbeat}"
payload := strings.NewReader("{\n \"name\": \"My Heartbeat\",\n \"grace_period\": 2,\n \"frequency\": 1,\n \"custom_frequency\": \"* * * * *\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"id": "<string>",
"type": "heartbeats",
"links": {
"self": {
"href": "<string>",
"rel": "<string>",
"describedby": "<string>",
"title": "<string>",
"type": "<string>",
"hreflang": "<string>",
"meta": {}
}
},
"attributes": {
"name": "<string>",
"status": "pending",
"grace_period": 1,
"frequency": 1,
"custom_frequency": "<string>",
"ping_url": "<string>"
}
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Sites
Update heartbeat
Update a specific heartbeat for the site.
Processing mode: sync
PUT
/
orgs
/
{organization}
/
servers
/
{server}
/
sites
/
{site}
/
heartbeats
/
{heartbeat}
Update heartbeat
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://forge.laravel.com/api/orgs/{organization}/servers/{server}/sites/{site}/heartbeats/{heartbeat}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'My Heartbeat',
'grace_period' => 2,
'frequency' => 1,
'custom_frequency' => '* * * * *'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The organization slug
The server ID
The site ID
The heartbeat ID
Body
application/json
The name of the heartbeat.
Maximum string length:
255Example:
"My Heartbeat"
The duration (in minutes) after which a heartbeat is considered missing.
Available options:
1, 2, 5, 10, 30, 60 Example:
2
The interval (in minutes) at which the client is expected to send a ping.
Available options:
1, 5, 10, 30, 60, 1440, 10080, 312480, -1 Example:
1
A cron expression representing the custom frequency at which the client is expected to send a ping, if the frequency is set to -1.
Example:
"* * * * *"
Response
HeartbeatResource
Show child attributes
Show child attributes
Was this page helpful?